Main Page Packages Class Hierarchy Compound List File List Compound Members

# domimplementationfeaturexml Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| domimplementationfeaturexml (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "feature" parameter in the "hasFeature(feature,version)" method is the package name of the feature. Legal values are XML and HTML. (Test for xml, lower case)

Retrieve the entire DOM document and invoke its "getImplementation()" method. This should create a DOMImplementation object whose "hasFeature(feature, version)" method is invoked with "feature" equal to "xml". The method should return a boolean "true".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-5CED94D7

Definition at line 48 of file domimplementationfeaturexml.java.

## Constructor & Destructor Documentation

domimplementationfeaturexml::domimplementationfeaturexml | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file domimplementationfeaturexml.java.
    00051  {
    00052       super(factory);
    00053
    00054    }

## Member Function Documentation

String domimplementationfeaturexml::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 66 of file domimplementationfeaturexml.java.
    00066                                 {
    00067       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/domimplementationfeaturexml";
    00068    }

void domimplementationfeaturexml::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 69 of file domimplementationfeaturexml.java. References DOMTestCase::doMain().
    00069                                           {
    00070         DOMTestCase.doMain(domimplementationfeaturexml.class,args);
    00071    }

void domimplementationfeaturexml::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 56 of file domimplementationfeaturexml.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00056                                                     {
    00057       Document doc;
    00058       DOMImplementation domImpl;
    00059       boolean state;
    00060       doc = load("staff");
    00061       domImpl = doc.getImplementation();
    00062 state = domImpl.hasFeature("xml","1.0");
    00063 assertTrue("domimplementationFeaturexmlAssert",state);
    00064
    00065    }

The documentation for this class was generated from the following file:

- domimplementationfeaturexml.java